Problema con WordPress 2.06 y Feedburner

Antes de actualizarte a la nueva versión que está ofreciendo WordPress, y si tienes tus feed en FeedBurner, tienes que leer lo siguiente:

El día de ayer se publicaba una pequeña actualización de WordPress (version 2.06), que solucionaba algunos problemas de seguridad importantes.

Un problema que tiene esta versión, es que devuelve un encabezado HTTP 304 incorrecto (esto quiere decir que indica que el contenido del blog no se ha modificado), lo que provoca que los feeds que funcionan a través de FeedBurner no funcionen cómo deberían de funcionar.

Aquí les dejo el texto que he traducido desde WordPress 2.06 and Feedburner disconnects desde Neosmart:

El problema:
Despues de actualizar a WordPress 2.06 o WordPress 2.1 Beta, tu feed de FeedBurner te dará un error de “invalid xml”, y “FeedMedic“, te mostrará algo parecido a esto:

Your server disconnected us before sending the full source feed content. If your blogging platform is TextPattern, this is a known bug, and a fix can be found here: http://forum.textpattern.com/viewtopic.php?id=11247

Tu servidor se ha desconectado de nosotros antes de enviarnos el contenido completo del feed. Si tu blog trabaja bajo la plataforma de TextPattern, este es un bug conocido y la solución la puedes encontrar aqui: http://forum.textpattern.com/viewtopic.php?id=11247

Solución:
Busca el fichero /wp-includes/functions.php y busca:


if ( substr(php_sapi_name(), 0, 3) == cgi )
@header("HTTP/1.1 $header $text");
else
@header("Status: $header $text");

Y sustituyelo por lo siguiente (comenta todo, menos la segunda línea):


// if ( substr(php_sapi_name(), 0, 3) == cgi )
@header("HTTP/1.1 $header $text");
// else
// @header("Status: $header $text");

Una vez hecho, resincroniza tu feed de Feedburner.

Guardado en Wordpress
Loading Facebook Comments ...

2 Comentarios en “Problema con WordPress 2.06 y Feedburner

Comentarios cerrados.